For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tests
      • GETGet test
      • POSTCreate test
      • PUTUpdate test
      • DELDelete test
      • POSTGet test summaries
      • POSTRun tests on agent
        • POSTCreate folder
        • GETGet folder
        • PATCHUpdate folder
        • DELDelete folder
        • POSTBulk move tests to folder
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTestsTest Folders

Create folder

POST
/v1/convai/agent-testing/folders
POST
/v1/convai/agent-testing/folders
$curl -X POST https://api.elevenlabs.io/v1/convai/agent-testing/folders \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Agent Test Suite"
>}'
1{
2 "id": "folder_9f8b7c6d5e4a3b2c1d0e",
3 "name": "Agent Test Suite"
4}
Creates a folder for organizing agent tests.
Was this page helpful?
Previous

Get folder

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringRequired
The name of the folder to create
parent_folder_idstring or nullOptional
The ID of the parent folder. If not provided, the folder will be created at the root level.

Response

Folder successfully created
idstring
namestring

Errors

422
Unprocessable Entity Error